Zum Hauptinhalt springen
GET
/
automation
/
2026-09-beta
/
action-types
Retrieve action types
curl --request GET \
  --url https://api.hubapi.com/automation/2026-09-beta/action-types \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "actionName": "<string>",
      "actionTypeId": "<string>",
      "groupId": "<string>",
      "inputFieldDefinitions": [
        {
          "fieldDefinitionType": "SIMPLE",
          "isRequired": true,
          "name": "<string>",
          "type": "bool",
          "description": "<string>",
          "label": "<string>"
        }
      ],
      "objectTypeIds": [
        "<string>"
      ]
    }
  ]
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Abfrageparameter

objectTypeId
string

The unique identifier for the object type. This parameter helps filter the action types relevant to a specific object type.

Antwort

successful operation

results
object[]
erforderlich
Last modified on April 9, 2026